package csci1902.hw3;

import junit.framework.TestCase;
import java.awt.Point;

/**
 * Test cases for the Colony class.
 * @author Michael Ekstrand <ekstrand@cs.umn.edu>
 *
 */
public class ColonyTest extends TestCase {
    Colony colony;
    World world;
    
    protected void setUp() {
        world = new World(10, 10);
        colony = new Colony(world, new Point(3,5));
    }
    
    public void testInitialState() {
        assertEquals(0, colony.getFoodLevel());
        assertEquals(0, colony.getWasteLevel());
    }
    
    public void testFood() {
        assertTrue(colony.isFoodSink());
        
        colony.depositFood(10);
        assertEquals(0, colony.getFoodLevel());
        colony.update();
        assertEquals(10, colony.getFoodLevel());
        colony.depositFood(5);
        assertEquals(10, colony.getFoodLevel());
        colony.update();
        assertEquals(15, colony.getFoodLevel());
    }

}
